package de.codedo.java.editor;

import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class Activator extends AbstractUIPlugin 
{
	// The plug-in ID
	public static final String PLUGIN_ID = "de.codedo.java.editor"; //$NON-NLS-1$

	// The shared instance
	private static Activator Plugin;

	private CodedoJavaElementImageProvider _javaElementImageProvider;
	
	public static Activator getDefault()
	{
		return Plugin;
	}

	public void start(BundleContext context) throws Exception 
	{
		super.start(context);
		Plugin = this;
	}

	public void stop(BundleContext context) throws Exception 
	{
		Plugin = null;
		super.stop(context);
	}
	
	public synchronized CodedoJavaElementImageProvider getJavaElementImageProvider()
	{
		if (_javaElementImageProvider == null)
		{
			_javaElementImageProvider = new CodedoJavaElementImageProvider();
		}
		return _javaElementImageProvider;
	}
}
